/* Startup code for a sample minimal graphical OS */

	.file "start.S"
	.code32
	.text
	.globl _start

_start:
	cli					/* Disable interrupts: we don't have an IDT yet */
	movw $0x10, %ax		/* Setup all data segments, in case C uses them */
	movw %ax, %ds
	movw %ax, %es
	movw %ax, %fs
	movw %ax, %gs
	movw %ax, %ss
	
	call main			/* Call the C code */
	cli
	hlt